{
	"name": "form/nc/nc-define/nc-layout-editor/nc-layout-editor.json",
	"layout": {
		"component": "nc-row",
		"attribute": {
			"id": "nc-layout-editor"
		},
		"element": [
			{
				"component": "teleport",
				"attribute": {
					"to": "body"
				},
				"element": [
					{
						"component": "div",
						"attribute": {
							":style": "hoverBoxStyle"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"id": "nc-layout-area",
							"class": ["nc-align-top"],
							"tabindex": "-1",
							"v-on:click.native": "onClick",
							"v-on:dblclick.native": "onDoubleClick",
							"v-on:mouseleave.stop": "onHover",
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-layout-content",
								"attribute": {
									":class": "{ \"nc-design\": rec.design, \"nc-preview\": rec.preview }",
									":key": "layout.id",
									":ncNode.sync": "layout",
									"style": ["width: 100%", "min-height: 36em"]
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"id": "nc-layout-toolbar",
							":width": "toolbarWidth",
							"class": ["nc-align-top"]
						},
						"element": [
							{
								"component": "nc-layout-toolbar"
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top"]
				}
			}
		]
	}
}
